{
  description = "TailwindCSS + Catppuccin";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixpkgs-unstable";
  };

  outputs = {self, nixpkgs}: let 
    pkgs = nixpkgs.legacyPackages.x86_64-linux;
  in {
    packages.x86_64-linux.default = pkgs.stdenv.mkDerivation rec {
      pname = "tailwind-ctp";
      version = "3.3.3";
      src = pkgs.fetchurl {
        url = "https://git.jojodev.com/jolheiser/tailwind-ctp/releases/download/v${version}/tailwind-ctp";
        hash = "sha256-sS6TjtKhe6qwDPj4zzDjXfp/90Cpcg8AOtjQHoX/PSo=";
      };
      dontUnpack = true;
      dontConfigure = true;
      dontBuild = true;
      dontFixup = true;
      installPhase = ''
        mkdir -p $out/bin
        cp ${src} $out/bin/tailwind-ctp
        chmod 755 $out/bin/tailwind-ctp
      '';
    };
  };
}
